Unable to find '@botpress/util-roles'


#1

I m getting below error when i start botpress. I m using botpress 10.23.0 and in windows.

C:\mybot>yarn start
yarn run v1.7.0
$ botpress start
[botpress] ERR Cannot find module ‘@botpress/util-roles’
[botpress] ERR Error: Cannot find module ‘@botpress/util-roles’
at Function.Module._resolveFilename (module.js:538:15)
at Function.Module._load (module.js:468:25)
at Module.require (module.js:587:17)
at require (internal/module.js:11:18)
at Object. (C:\mybot\node_modules\botpress\src\server\api.js:5:1)
at Module._compile (module.js:643:30)
at Object.Module._extensions…js (module.js:654:10)
at Module.load (module.js:556:32)
at tryModuleLoad (module.js:499:12)
at Function.Module._load (module.js:491:3)
at Module.require (module.js:587:17)
at require (internal/module.js:11:18)
at Object. (C:\mybot\node_modules\botpress\src\server\index.js:7:1)
at Module._compile (module.js:643:30)
at Object.Module._extensions…js (module.js:654:10)
at Module.load (module.js:556:32)
[botpress] ERR (fatal) Could not load the local version of botpress
[botpress] Hint: 1) have you used botpress init to create a new bot the proper way?
[botpress] Hint: 2) Do you have read and write permissions on the current directory?
[botpress] -------------


#2

There’s an issue on that at github: https://github.com/botpress/botpress/issues/1262. Please follow it for updates.
Should be fixed in 10.51.6.